SeekableIterator
Exceptions
SeekableIterator
PHP Manual

# SeekableIterator::seek

(PHP 5 >= 5.1.0)

SeekableIterator::seek — Seeks to a position

### Descrição

abstract public void SeekableIterator::seek ( int `$position` )

Seeks to a given position in the iterator.

### Parâmetros

`position`

  The position to seek to.

### Valor Retornado

Não há valor retornado.

### Erros

Implementations should throw an OutOfBoundsException if the `position` is not seekable.

### Exemplos

Exemplo #1 SeekableIterator::seek example

Seek to the item at position 3 in the iterator (ArrayIterator implements SeekableIterator).

`<?php
$array = array("apple", "banana", "cherry", "damson", "elderberry");
$iterator = new ArrayIterator($array);
$iterator->seek(3);
echo $iterator->current();
?>`

O exemplo acima irá imprimir algo similar a:

    damson

### Veja Também

- SeekableIterator
- Iterator

SeekableIterator
Exceptions
SeekableIterator
PHP Manual